org.jboss.logmanager

## Class LogContextSelectorService

- java.lang.Object
- - org.jboss.logmanager.LogContextSelectorService

    public final class LogContextSelectorService
    extends Object

A container-friendly service which will manage the installation of a `LogContextSelector` into the log system. Only one such service may be active at a time, or an error will result.

### Constructor Summary

Constructors
Constructor and Description
`LogContextSelectorService()`

### Method Summary

Methods
`LogContextSelector` `getSelector()` Get the selector to install.
`void` `setSelector(LogContextSelector selector)` Set the selector to install.
`void` `start()` Install the selector.
`void` `stop()` Uninstall the selector.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogContextSelectorService

    public LogContextSelectorService()

### Method Detail

#### getSelector

    public LogContextSelector getSelector()

Get the selector to install.

Returns:
  the selector

#### setSelector

    public void setSelector(LogContextSelector selector)

Set the selector to install.

Parameters:
  `selector` - the selector

#### start

    public void start()

Install the selector.

#### stop

    public void stop()

Uninstall the selector.